var imgArray = [['photo01.jpg', 'photo02.jpg', 'photo03.jpg', 'photo17.jpg', 'photo18.jpg', 'photo20.jpg'],
				['photo03.jpg', 'photo04.jpg', 'photo05.jpg', 'photo18.jpg', 'photo19.jpg', 'photo20.jpg'],
				['photo05.jpg', 'photo06.jpg', 'photo07.jpg', 'photo17.jpg', 'photo20.jpg', 'photo15.jpg'],
				['photo07.jpg', 'photo08.jpg', 'photo09.jpg', 'photo12.jpg', 'photo13.jpg', 'photo14.jpg'],
				['photo07.jpg', 'photo08.jpg', 'photo09.jpg', 'photo10.jpg', 'photo11.jpg', 'photo17.jpg'],
				['photo04.jpg', 'photo11.jpg', 'photo12.jpg', 'photo13.jpg'],
				['photo04.jpg', 'photo13.jpg', 'photo14.jpg', 'photo15.jpg'],
				['photo06.jpg', 'photo15.jpg', 'photo16.jpg', 'photo17.jpg']];

var str = '';

function loadImages() {
	var myNode = document.getElementById('listImages');
	while (myNode.firstChild) {
    	myNode.removeChild(myNode.firstChild);
	}
	
	var e = document.getElementById('deviceID');
	var deviceId = e.options[e.selectedIndex].value;
	
	for (i = 0; i < imgArray[deviceId-1].length; i++) {
		var newElement = document.createElement('img');
		newElement.src = 'images/' + deviceId + '/' + imgArray[deviceId-1][i];
		newElement.height = 100;
		// Adding mouse event
		newElement.setAttribute('onclick', 'whichElement(this.src)');
		document.getElementById('listImages').appendChild(newElement);
	}
}

function whichElement(id) {
	var path = '' + id;
	var xmlDoc = loadXMLDoc('info.xml');
	var localhost = xmlDoc.getElementsByTagName("localhost")[0].childNodes[0].nodeValue;
	var port = xmlDoc.getElementsByTagName("tuio")[0].childNodes[0].nodeValue;
	var socket = io.connect('http://' + localhost + ':' + port);
	socket.on('connect', function () {
	});
	
	// Filtering out raw events
	var res = path.substring(0, 4);
	if (res == 'http') {
		socket.send(path);
	}

function loadXMLDoc(filename) {
	if (window.XMLHttpRequest) {
	xhttp = new XMLHttpRequest();
	} else { // code for IE5 and IE6
		xhttp = new ActiveXObject("Microsoft.XMLHTTP");
	}
	xhttp.open("GET", filename,false);
	xhttp.send();
	return xhttp.responseXML;
	}
}